#1755 XML.jar 2.8.5 java.lang.NoSuchMethodError

None
closed
Eric Le Lay
XML (11)
5
2013-12-12
2013-11-20
Skeeve
No

jEdit 5.0.0
java 1.6.0_26 (on OS X 10.5.8)
XML.jar 2.8.5

Starting XML Indent gives

java.lang.NoClassDefFoundError: xml/indent/IndentingTransformerImpl
at xml.indent.XmlIndenterPlugin.<clinit>(XmlIndenterPlugin.java:48)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.gjt.sp.jedit.bsh.Reflect.invokeMethod(Reflect.java:134)
at org.gjt.sp.jedit.bsh.Reflect.invokeStaticMethod(Reflect.java:98)
at org.gjt.sp.jedit.bsh.Name.invokeMethod(Name.java:871)
at org.gjt.sp.jedit.bsh.BSHMethodInvocation.eval(BSHMethodInvocation.java:75)
at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:102)
at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:47)
at org.gjt.sp.jedit.bsh.BSHBlock.evalBlock(BSHBlock.java:130)
at org.gjt.sp.jedit.bsh.BSHBlock.eval(BSHBlock.java:80)
at org.gjt.sp.jedit.bsh.BshMethod.invokeImpl(BshMethod.java:362)
at org.gjt.sp.jedit.bsh.BshMethod.invoke(BshMethod.java:258)
at org.gjt.sp.jedit.bsh.BshMethod.invoke(BshMethod.java:186)
at org.gjt.sp.jedit.BeanShellFacade.runCachedBlock(BeanShellFacade.java:225)
at org.gjt.sp.jedit.BeanShell.runCachedBlock(BeanShell.java:423)
at org.gjt.sp.jedit.BeanShellAction.invoke(BeanShellAction.java:73)
at org.gjt.sp.jedit.gui.InputHandler.invokeAction(InputHandler.java:342)
at org.gjt.sp.jedit.jEdit$4.invokeAction(jEdit.java:3342)
at org.gjt.sp.jedit.jEdit$4.invokeAction(jEdit.java:3324)
at org.gjt.sp.jedit.EditAction$Wrapper.actionPerformed(EditAction.java:212)
at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2028)
at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2351)
at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
at javax.swing.AbstractButton.doClick(AbstractButton.java:389)
at com.apple.laf.ScreenMenuItem.actionPerformed(ScreenMenuItem.java:95)
at java.awt.MenuItem.processActionEvent(MenuItem.java:627)
at java.awt.MenuItem.processEvent(MenuItem.java:586)
at java.awt.MenuComponent.dispatchEventImpl(MenuComponent.java:337)
at java.awt.MenuComponent.dispatchEvent(MenuComponent.java:325)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:682)
at java.awt.EventQueue.access$000(EventQueue.java:85)
at java.awt.EventQueue$1.run(EventQueue.java:638)
at java.awt.EventQueue$1.run(EventQueue.java:636)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
at java.awt.EventQueue$2.run(EventQueue.java:652)
at java.awt.EventQueue$2.run(EventQueue.java:650)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:649)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Caused by: java.lang.ClassNotFoundException: xml.indent.IndentingTransformerImpl
at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at org.gjt.sp.jedit.JARClassLoader.loadFromParent(JARClassLoader.java:522)
at org.gjt.sp.jedit.JARClassLoader.loadClass(JARClassLoader.java:87)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
... 51 more

Discussion

  • Alan Ezust
    Alan Ezust
    2013-11-20

    Does not reproduce under Java 7 / jEdit 5.1 / XML 2.8.5.
    Does this happen with any XML file or just a specific one?

     
  • Skeeve
    Skeeve
    2013-11-20

    Seems to be any XML. For testing I took xml.xml from the jEdit core packet.

     
  • Alan Ezust
    Alan Ezust
    2013-11-20

    What if you quit jEdit, and then remove the jars-cache directory from your jedit settings directory, and run again?
    Does it happen after restart?
    If so, please attach an activity log to this ticket.

     
  • Skeeve
    Skeeve
    2013-11-20

    I removed everything from ~/Library/jEdit/jars-cache

    Directly after the start I got

    : xml/parser/XmlParser
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:465)
    at org.gjt.sp.jedit.JARClassLoader._loadClass(JARClassLoader.java:439)
    at org.gjt.sp.jedit.JARClassLoader.loadClass(JARClassLoader.java:109)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at org.gjt.sp.jedjava.lang.NoClassDefFoundErrorit.bsh.classpath.ClassManagerImpl.classForName(ClassManagerImpl.java:203)
    at org.gjt.sp.jedit.bsh.NameSpace.classForName(NameSpace.java:1318)
    at org.gjt.sp.jedit.bsh.NameSpace.getClassImpl(NameSpace.java:1218)
    at org.gjt.sp.jedit.bsh.NameSpace.getClass(NameSpace.java:1159)
    at org.gjt.sp.jedit.bsh.Name.consumeNextObjectField(Name.java:298)
    at org.gjt.sp.jedit.bsh.Name.toObject(Name.java:199)
    at org.gjt.sp.jedit.bsh.BSHAmbiguousName.toObject(BSHAmbiguousName.java:59)
    at org.gjt.sp.jedit.bsh.BSHAllocationExpression.objectAllocation(BSHAllocationExpression.java:86)
    at org.gjt.sp.jedit.bsh.BSHAllocationExpression.eval(BSHAllocationExpression.java:62)
    at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:102)
    at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:47)
    at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:644)
    at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:738)
    at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:727)
    at org.gjt.sp.jedit.BeanShellFacade._eval(BeanShellFacade.java:148)
    at org.gjt.sp.jedit.BeanShellFacade.eval(BeanShellFacade.java:113)
    at org.gjt.sp.jedit.BeanShell.eval(BeanShell.java:369)
    at org.gjt.sp.jedit.ServiceManager$Descriptor.getInstance(ServiceManager.java:328)
    at org.gjt.sp.jedit.ServiceManager.getService(ServiceManager.java:254)
    at sidekick.SideKickPlugin.getParser(SideKickPlugin.java:234)
    at sidekick.SideKickPlugin.getParserForBuffer(SideKickPlugin.java:290)
    at sidekick.SideKick.parse(SideKick.java:166)
    at sidekick.SideKickPlugin.initView(SideKickPlugin.java:378)
    at sidekick.SideKickPlugin.handleViewUpdate(SideKickPlugin.java:142)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.gjt.sp.jedit.EditBus.dispatch(EditBus.java:242)
    at org.gjt.sp.jedit.EditBus.sendImpl(EditBus.java:281)
    at org.gjt.sp.jedit.EditBus.access$200(EditBus.java:87)
    at org.gjt.sp.jedit.EditBus$SendMessage.run(EditBus.java:461)
    at org.gjt.sp.jedit.EditBus.send(EditBus.java:206)
    at org.gjt.sp.jedit.jEdit.newView(jEdit.java:2493)
    at org.gjt.sp.jedit.PerspectiveManager$PerspectiveHandler.endElement(PerspectiveManager.java:362)
    at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
    at org.apache.xerces.impl.dtd.XMLNSDTDValidator.endNamespaceScope(Unknown Source)
    at org.apache.xerces.impl.dtd.XMLDTDValidator.handleEndElement(Unknown Source)
    at org.apache.xerces.impl.dtd.XMLDTDValidator.endElement(Unknown Source)
    at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
    at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
    at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
    at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
    at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    at org.gjt.sp.util.XMLUtilities.parseXML(XMLUtilities.java:139)
    at org.gjt.sp.jedit.SettingsXML.load(SettingsXML.java:155)
    at org.gjt.sp.jedit.PerspectiveManager.loadPerspective(PerspectiveManager.java:106)
    at org.gjt.sp.jedit.jEdit$6.run(jEdit.java:4068)
    at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:677)
    at java.awt.EventQueue.access$000(EventQueue.java:85)
    at java.awt.EventQueue$1.run(EventQueue.java:638)
    at java.awt.EventQueue$1.run(EventQueue.java:636)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:647)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
    Caused by: java.lang.ClassNotFoundException: xml.parser.XmlParser
    at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    at org.gjt.sp.jedit.JARClassLoader.loadFromParent(JARClassLoader.java:522)
    at org.gjt.sp.jedit.JARClassLoader.loadClass(JARClassLoader.java:87)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    ... 71 more

    Activity log:

    Log file created on Wed Nov 20 19:21:10 CET 2013
    IMPORTANT:
    Because updating this file after every log message would kill
    performance, it will be *incomplete* unless you invoke the
    Utilities->Troubleshooting->Update Activity Log on Disk command!
    19:21:03 [main] [message] Log: When reporting bugs, please include the following information:
    19:21:03 [main] [message] Log: java.version=1.6.0_26
    19:21:03 [main] [message] Log: java.vm.version=20.1-b02-384
    19:21:03 [main] [message] Log: java.vm.name=Java HotSpot(TM) 64-Bit Server VM
    19:21:03 [main] [message] Log: java.runtime.version=1.6.0_26-b03-384-9M3425
    19:21:03 [main] [message] Log: java.runtime.name=Java(TM) SE Runtime Environment
    19:21:03 [main] [message] Log: java.vendor=Apple Inc.
    19:21:03 [main] [message] Log: java.compiler=null
    19:21:03 [main] [message] Log: os.name=Mac OS X
    19:21:03 [main] [message] Log: os.version=10.5.8
    19:21:03 [main] [message] Log: os.arch=x86_64
    19:21:03 [main] [message] Log: user.home=/Users/shk
    19:21:03 [main] [message] Log: java.home=/System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
    19:21:03 [main] [message] Log: java.class.path=/Applications/jEdit.app/Contents/Resources/Java/jedit.jar:/System/Library/Java
    19:21:03 [main] [message] jEdit: starting with command line arguments: -background
    19:21:03 [main] [debug] jEdit: before splash screen activation:440 ms
    19:21:10 [main] [debug] jEdit: after splash screen activation:7230 ms
    19:21:10 [main] [debug] MiscUtilities: Saving backup of file "/Users/shk/Library/jEdit/activity.log" to "/Users/shk/Library/jEdit/settings-backup/activity.log~1~"
    19:21:10 [main] [notice] jEdit: jEdit version 5.0.0
    19:21:10 [main] [message] jEdit: Settings directory is /Users/shk/Library/jEdit
    19:21:10 [main] [message] jEdit: jEdit home directory is /Applications/jEdit.app/Contents/Resources/Java
    19:21:10 [main] [debug] SplashScreen: init:175/3487ms
    19:21:10 [main] [debug] SplashScreen: init system properties:59/3546ms
    19:21:11 [main] [message] BeanShell: Beanshell Init
    19:21:11 [main] [debug] SplashScreen: init beanshell:82/3628ms
    19:21:11 [main] [debug] SplashScreen: loading site properties:22/3650ms
    19:21:11 [main] [debug] SplashScreen: loading user properties:48/3698ms
    19:21:11 [main] [debug] GUIUtilities: Icon theme set to: tango
    19:21:11 [main] [debug] GUIUtilities: Loading icon theme from: jeditresource:/org/gjt/sp/jedit/icons/themes/tango/
    19:21:11 [main] [debug] SplashScreen: init GUI:4/3702ms
    19:21:11 [main] [debug] EditServer: jEdit server started on port 55380
    19:21:11 [main] [debug] EditServer: Authorization key is 1709872301
    19:21:11 [main] [debug] SplashScreen: init server:56/3758ms
    19:21:11 [main] [debug] jEdit: initPLAF non-edt old=com.apple.laf.AquaLookAndFeel requested=apple.laf.AquaLookAndFeel new=apple.laf.AquaLookAndFeel
    19:21:11 [main] [debug] SplashScreen: init look and feel:95/3853ms
    19:21:11 [main] [debug] SplashScreen: init VFS Manager:14/3867ms
    19:21:11 [main] [debug] ActionSet: Loading actions from jar:file:/Applications/jEdit.app/Contents/Resources/Java/jedit.jar!/org/gjt/sp/jedit/actions.xml
    19:21:11 [main] [debug] DockableWindowManager: Loading dockables from jar:file:/Applications/jEdit.app/Contents/Resources/Java/jedit.jar!/org/gjt/sp/jedit/dockables.xml
    19:21:11 [main] [debug] SplashScreen: init resources:231/4098ms
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: SearchSettingsChanged[source=null]
    19:21:11 [main] [debug] SplashScreen: Migrate keymaps:112/4210ms
    19:21:11 [main] [notice] jEdit: Loading plugins from /Applications/jEdit.app/Contents/Resources/Java/jars
    19:21:11 [main] [debug] PluginJAR: Opening /Applications/jEdit.app/Contents/Resources/Java/jars/MacOSX.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/MacOSX.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.2,source=/Applications/jEdit.app/Contents/Resources/Java/jars/MacOSX.jar,class=macosx.MacOSXPlugin]
    19:21:11 [main] [debug] PluginJAR: Opening /Applications/jEdit.app/Contents/Resources/Java/jars/QuickNotepad.jar
    19:21:11 [main] [debug] ActionSet: Loading actions from jeditresource:/QuickNotepad.jar!/actions.xml
    19:21:11 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/QuickNotepad.jar!/dockables.xml
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/QuickNotepad.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=5.0,source=/Applications/jEdit.app/Contents/Resources/Java/jars/QuickNotepad.jar,class=QuickNotepadPlugin]
    19:21:11 [main] [notice] jEdit: Loading plugins from /Users/shk/Library/jEdit/jars
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/antlr-runtime-3.4.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/antlr-runtime-3.4.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/antlr-runtime-3.4.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/bcel-5.2.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/bcel-5.2.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/bcel-5.2.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/Beauty.jar
    19:21:11 [main] [debug] ActionSet: Loading actions from jeditresource:/Beauty.jar!/actions.xml
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/Beauty.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.7.0,source=/Users/shk/Library/jEdit/jars/Beauty.jar,class=beauty.BeautyPlugin]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/BufferList.jar
    19:21:11 [main] [debug] ActionSet: Loading actions from jeditresource:/BufferList.jar!/actions.xml
    19:21:11 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/BufferList.jar!/dockables.xml
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/BufferList.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.5,source=/Users/shk/Library/jEdit/jars/BufferList.jar,class=bufferlist.BufferListPlugin]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/Clipper.jar
    19:21:11 [main] [debug] ActionSet: Loading actions from jeditresource:/Clipper.jar!/actions.xml
    19:21:11 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/Clipper.jar!/dockables.xml
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/Clipper.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.9.4,source=/Users/shk/Library/jEdit/jars/Clipper.jar,class=clipper.ClipperPlugin]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/CommonControls.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/CommonControls.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.7.2,source=/Users/shk/Library/jEdit/jars/CommonControls.jar,class=CommonControlsPlugin]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-codec-1.3.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-codec-1.3.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-codec-1.3.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-collections-3.2.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-collections-3.2.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-collections-3.2.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-httpclient-3.0.1.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-httpclient-3.0.1.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-httpclient-3.0.1.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-io-2.4.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-io-2.4.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-io-2.4.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-lang-2.3.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-lang-2.3.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-lang-2.3.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-logging-1.1.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-logging-1.1.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-logging-1.1.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/commons-net-1.4.1.jar
    19:21:11 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/commons-net-1.4.1.jar.summary
    19:21:11 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/commons-net-1.4.1.jar]
    19:21:11 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/Console.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/Console.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/Console.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/Console.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=5.1.3,source=/Users/shk/Library/jEdit/jars/Console.jar,class=console.ConsolePlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/EclipseIcons.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/EclipseIcons.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0,source=/Users/shk/Library/jEdit/jars/EclipseIcons.jar,class=eclipseicons.EclipseIconsPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/EditorScheme.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/EditorScheme.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/EditorScheme.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/EditorScheme.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.7,source=/Users/shk/Library/jEdit/jars/EditorScheme.jar,class=editorscheme.EditorSchemePlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/ErrorList.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/ErrorList.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/ErrorList.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/ErrorList.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.1,source=/Users/shk/Library/jEdit/jars/ErrorList.jar,class=errorlist.ErrorListPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/foxtrot.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/foxtrot.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/foxtrot.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/GitPlugin.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/GitPlugin.jar!/actions.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/GitPlugin.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.4,source=/Users/shk/Library/jEdit/jars/GitPlugin.jar,class=git.GitPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/GnuRegexp.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/GnuRegexp.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0.1,source=/Users/shk/Library/jEdit/jars/GnuRegexp.jar,class=GnuRegexpPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/htmlparser.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/htmlparser.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/htmlparser.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/Hyperlinks.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/Hyperlinks.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.1.0,source=/Users/shk/Library/jEdit/jars/Hyperlinks.jar,class=gatchan.jedit.hyperlinks.HyperlinksPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/InfoViewer.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/InfoViewer.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/InfoViewer.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/InfoViewer.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.6.2,source=/Users/shk/Library/jEdit/jars/InfoViewer.jar,class=infoviewer.InfoViewerPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/IRC.jar
    19:21:12 [main] [warning] PluginJAR: Ignoring: de.iqcomputing.jedit.irc.IRCBotPlugin
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/IRC.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/IRC.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/IRC.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.1,source=/Users/shk/Library/jEdit/jars/IRC.jar,class=de.iqcomputing.jedit.irc.IRCPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/JakartaCommons.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/JakartaCommons.jar!/actions.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/JakartaCommons.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.8,source=/Users/shk/Library/jEdit/jars/JakartaCommons.jar,class=jakartacommons.JakartaCommonsPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/javasvn.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/javasvn.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/javasvn.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/JDiffPlugin.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/JDiffPlugin.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/JDiffPlugin.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/JDiffPlugin.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=3.3.0,source=/Users/shk/Library/jEdit/jars/JDiffPlugin.jar,class=jdiff.JDiffPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/jdom-b9.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/jdom-b9.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/jdom-b9.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/jing.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/jing.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/jing.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/jna.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/jna.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/jna.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/JNAPlugin.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/JNAPlugin.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=3.2.4,source=/Users/shk/Library/jEdit/jars/JNAPlugin.jar,class=jnaplugin.JNAPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/jupiter.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/jupiter.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/jupiter.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/jython.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/jython.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/jython.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/JythonInterpreter.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/JythonInterpreter.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/JythonInterpreter.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/JythonInterpreter.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.0,source=/Users/shk/Library/jEdit/jars/JythonInterpreter.jar,class=jython.JythonPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/jythonlib.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/jythonlib.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/jythonlib.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/kappalayout.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/kappalayout.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/kappalayout.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/log4j-1.2.13.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/log4j-1.2.13.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/log4j-1.2.13.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/log4j-1.2.14.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/log4j-1.2.14.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/log4j-1.2.14.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/log4j.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/log4j.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/log4j.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/mysql-connector-java-3.0.14-production-bin.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/mysql-connector-java-3.0.14-production-bin.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/mysql-connector-java-3.0.14-production-bin.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/Nested.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/Nested.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/Nested.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/Nested.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=0.1,source=/Users/shk/Library/jEdit/jars/Nested.jar,class=nested.Plugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/ojdbc14.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/ojdbc14.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/ojdbc14.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/packer.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/packer.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/packer.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/ProjectViewer.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/ProjectViewer.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/ProjectViewer.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/ProjectViewer.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=3.5.3,source=/Users/shk/Library/jEdit/jars/ProjectViewer.jar,class=projectviewer.ProjectPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/relaxngDatatype.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/relaxngDatatype.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/relaxngDatatype.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/resolver.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/resolver.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/resolver.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/sequence-library-1.0.2.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/sequence-library-1.0.2.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/sequence-library-1.0.2.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/servlet.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/servlet.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/servlet.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/SideKick.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/SideKick.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/SideKick.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/SideKick.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.4,source=/Users/shk/Library/jEdit/jars/SideKick.jar,class=sidekick.SideKickPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/sqljet-1.1.4.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/sqljet-1.1.4.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/sqljet-1.1.4.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/svnkit-1.7.5-v1.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/svnkit-1.7.5-v1.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/svnkit-1.7.5-v1.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/svnkit-cli-1.7.5-v1.jar
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/svnkit-cli-1.7.5-v1.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/svnkit-cli-1.7.5-v1.jar]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/SVNPlugin.jar
    19:21:12 [main] [debug] ActionSet: Loading actions from jeditresource:/SVNPlugin.jar!/actions.xml
    19:21:12 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/SVNPlugin.jar!/dockables.xml
    19:21:12 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/SVNPlugin.jar.summary
    19:21:12 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.7.5,source=/Users/shk/Library/jEdit/jars/SVNPlugin.jar,class=ise.plugin.svn.SVNPlugin]
    19:21:12 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/TextTools.jar
    19:21:13 [main] [debug] ActionSet: Loading actions from jeditresource:/TextTools.jar!/actions.xml
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/TextTools.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=1.15,source=/Users/shk/Library/jEdit/jars/TextTools.jar,class=TextToolsPlugin]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/trang.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/trang.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/trang.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/trilead-ssh2-1.0.0-build215.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/trilead-ssh2-1.0.0-build215.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/trilead-ssh2-1.0.0-build215.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/wbserverrelease.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/wbserverrelease.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/wbserverrelease.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/wbxmltools.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/wbxmltools.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/wbxmltools.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/wings.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/wings.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/wings.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/ws-commons-util-1.0.2.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/ws-commons-util-1.0.2.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/ws-commons-util-1.0.2.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/wwbHelper.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/wwbHelper.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/wwbHelper.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/wwbsplitter.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/wwbsplitter.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/wwbsplitter.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/xercesImpl.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/xercesImpl.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/xercesImpl.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/XercesPlugin.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/XercesPlugin.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.9.1,source=/Users/shk/Library/jEdit/jars/XercesPlugin.jar,class=xerces.XercesPlugin]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/xml-commons-resolver.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/xml-commons-resolver.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/xml-commons-resolver.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/XML.jar
    19:21:13 [main] [warning] PluginJAR: Ignoring: sidekick.css.CssSideKickPlugin
    19:21:13 [main] [warning] PluginJAR: Ignoring: sidekick.html.HtmlSideKickPlugin
    19:21:13 [main] [warning] PluginJAR: Ignoring: sidekick.javascript.JavaScriptSideKickPlugin
    19:21:13 [main] [debug] ActionSet: Loading actions from jeditresource:/XML.jar!/actions.xml
    19:21:13 [main] [debug] DockableWindowManager: Loading dockables from jeditresource:/XML.jar!/dockables.xml
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/XML.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=2.8.5,source=/Users/shk/Library/jEdit/jars/XML.jar,class=xml.XmlPlugin]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/xmlParserAPIs.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/xmlParserAPIs.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/xmlParserAPIs.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/xmlrpc-client-3.1.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/xmlrpc-client-3.1.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/xmlrpc-client-3.1.jar]
    19:21:13 [main] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/xmlrpc-common-3.1.jar
    19:21:13 [main] [debug] PluginJAR: Writing /Users/shk/Library/jEdit/jars-cache/xmlrpc-common-3.1.jar.summary
    19:21:13 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=LOADED,exit=false,version=null,source=/Users/shk/Library/jEdit/jars/xmlrpc-common-3.1.jar]
    19:21:13 [main] [debug] SplashScreen: init plugins:2025/6235ms
    19:21:13 [main] [message] HistoryModel: Loading history
    19:21:13 [main] [debug] SplashScreen: init history model:85/6320ms
    19:21:13 [main] [message] BufferHistory: Loading /Users/shk/Library/jEdit/recent.xml
    19:21:13 [main] [debug] SplashScreen: init buffer history:44/6364ms
    19:21:13 [main] [message] KillRing: Loading /Users/shk/Library/jEdit/killring.xml
    19:21:13 [main] [debug] SplashScreen: init killring:52/6416ms
    19:21:13 [main] [debug] jEdit: initPLAF non-edt old=apple.laf.AquaLookAndFeel requested=apple.laf.AquaLookAndFeel new=apple.laf.AquaLookAndFeel
    19:21:13 [main] [debug] jEdit: SOCKS proxy disabled
    19:21:13 [main] [debug] jEdit: HTTP proxy disabled
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PropertiesChanged[source=null]
    19:21:14 [main] [debug] SplashScreen: init various properties:379/6795ms
    19:21:14 [main] [message] jEdit: Loading mode catalog file /Applications/jEdit.app/Contents/Resources/Java/modes/catalog
    19:21:14 [main] [message] jEdit: Loading mode catalog file /Users/shk/Library/jEdit/modes/catalog
    19:21:14 [main] [debug] SplashScreen: init modes:141/6936ms
    19:21:14 [main] [debug] PluginJAR: Activating macosx.MacOSXPlugin because of startup
    19:21:14 [main] [debug] PluginJAR: Activating console.ConsolePlugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.2,source=/Applications/jEdit.app/Contents/Resources/Java/jars/MacOSX.jar,class=macosx.MacOSXPlugin]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [main] [debug] ConsolePlugin: Loaded 17 Actions
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=2.1,source=/Users/shk/Library/jEdit/jars/ErrorList.jar,class=errorlist.ErrorListPlugin]
    19:21:14 [main] [debug] PluginJAR: Activating GnuRegexpPlugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=5.1.3,source=/Users/shk/Library/jEdit/jars/Console.jar,class=console.ConsolePlugin]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.0.1,source=/Users/shk/Library/jEdit/jars/GnuRegexp.jar,class=GnuRegexpPlugin]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [main] [debug] PluginJAR: Activating gatchan.jedit.hyperlinks.HyperlinksPlugin because of startup
    19:21:14 [main] [debug] PluginJAR: Activating infoviewer.InfoViewerPlugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.1.0,source=/Users/shk/Library/jEdit/jars/Hyperlinks.jar,class=gatchan.jedit.hyperlinks.HyperlinksPlugin]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.6.2,source=/Users/shk/Library/jEdit/jars/InfoViewer.jar,class=infoviewer.InfoViewerPlugin]
    19:21:14 [main] [debug] PluginJAR: Activating jython.JythonPlugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [main] [debug] Macros: Registered beanshell macro handler
    19:21:14 [main] [debug] Macros: Registered jython macro handler
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.0,source=/Users/shk/Library/jEdit/jars/JythonInterpreter.jar,class=jython.JythonPlugin]
    19:21:14 [main] [debug] PluginJAR: Activating nested.Plugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.1,source=/Users/shk/Library/jEdit/jars/Nested.jar,class=nested.Plugin]
    19:21:14 [main] [debug] PluginJAR: Activating projectviewer.ProjectPlugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=3.5.3,source=/Users/shk/Library/jEdit/jars/ProjectViewer.jar,class=projectviewer.ProjectPlugin]
    19:21:14 [main] [debug] PluginJAR: Activating sidekick.SideKickPlugin because of startup
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.4,source=/Users/shk/Library/jEdit/jars/SideKick.jar,class=sidekick.SideKickPlugin]
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:14 [main] [debug] SplashScreen: activate plugins:424/7360ms
    19:21:14 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=macros,source=null]
    19:21:14 [main] [message] BeanShell: Running script /Applications/jEdit.app/Contents/Resources/Java/startup/startup.bsh
    19:21:14 [main] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/text.xml
    19:21:15 [main] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/java.xml
    19:21:15 [main] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/xml.xml
    19:21:15 [main] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/xml.xml
    19:21:15 [main] [debug] String: BeanShell interpreter version 2.0b4-jedit
    19:21:15 [main] [debug] SplashScreen: init macros:718/8078ms
    19:21:15 [main] [debug] SplashScreen: run startup scripts:3/8081ms
    19:21:15 [main] [debug] SplashScreen: run startup scripts:4/8082ms
    19:21:15 [main] [debug] jEdit: main done:12273 ms
    19:21:15 [AWT-EventQueue-0] [message] PerspectiveManager: Loading /Users/shk/Library/jEdit/perspective.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/html.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/css.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/javascript.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/javascript.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/xml.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/css.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/javascript.xml
    19:21:15 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/javascript.xml
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=csa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=null,source=csa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=null,source=csa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=null,source=csa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=csa.html (~/Desktop/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=null,source=csa.html (~/Desktop/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=null,source=csa.html (~/Desktop/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=null,source=csa.html (~/Desktop/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=ecsa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=null,source=ecsa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=null,source=ecsa-short.html (~/StarAudit/)]
    19:21:15 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=null,source=ecsa-short.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=ecsa.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=null,source=ecsa.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=null,source=ecsa.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=null,source=ecsa.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=index.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=null,source=index.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=null,source=index.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=null,source=index.html (~/StarAudit/)]
    19:21:16 [AWT-EventQueue-0] [debug] BufferSet: 493730314: addBufferSetListener org.gjt.sp.jedit.EditPane[inactive]
    19:21:16 [AWT-EventQueue-0] [debug] EditBus: BufferChanging[what=BUFFER_CHANGING,source=org.gjt.sp.jedit.EditPane[inactive]]
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(ecsa-short.html (~/StarAudit/),-1)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314: Buffer added ecsa-short.html (~/StarAudit/) at 0
    19:21:17 [AWT-EventQueue-0] [debug] EditBus: EditPaneUpdate[what=CREATED,source=org.gjt.sp.jedit.EditPane[inactive]]
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(ecsa-short.html (~/StarAudit/),0)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(csa-short.html (~/StarAudit/),1)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314: Buffer added csa-short.html (~/StarAudit/) at 0
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(csa.html (~/Desktop/),2)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314: Buffer added csa.html (~/Desktop/) at 1
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(ecsa-short.html (~/StarAudit/),3)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(ecsa.html (~/StarAudit/),4)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314: Buffer added ecsa.html (~/StarAudit/) at 3
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(index.html (~/StarAudit/),5)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 493730314: Buffer added index.html (~/StarAudit/) at 4
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461: addBufferSetListener org.gjt.sp.jedit.EditPane[inactive]
    19:21:17 [AWT-EventQueue-0] [debug] EditBus: BufferChanging[what=BUFFER_CHANGING,source=org.gjt.sp.jedit.EditPane[inactive]]
    19:21:17 [AWT-EventQueue-0] [debug] EditBus: EditPaneUpdate[what=CREATED,source=org.gjt.sp.jedit.EditPane[inactive]]
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(ecsa.html (~/StarAudit/),0)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(csa-short.html (~/StarAudit/),1)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(csa.html (~/Desktop/),2)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(ecsa-short.html (~/StarAudit/),3)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(ecsa.html (~/StarAudit/),4)
    19:21:17 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(index.html (~/StarAudit/),5)
    19:21:18 [AWT-EventQueue-0] [debug] EditBus: ViewUpdate[what=CREATED,source=org.gjt.sp.jedit.View[active]]
    19:21:18 [AWT-EventQueue-0] [error] AWT-EventQueue-0: Cannot find CatalogManager.properties
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: Error while starting plugin xml.XmlPlugin
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: java.lang.NoSuchMethodError: org.apache.xml.resolver.Catalog.getCatalogManager()Lorg/apache/xml/resolver/CatalogManager;
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at xml.Resolver.load(Resolver.java:257)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at xml.Resolver.instance(Resolver.java:201)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at xml.XmlPlugin.start(XmlPlugin.java:45)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.startPlugin(PluginJAR.java:1527)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PluginJAR.activatePlugin(PluginJAR.java:782)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.JARClassLoader._loadClass(JARClassLoader.java:397)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.JARClassLoader.loadClass(JARClassLoader.java:109)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.classpath.ClassManagerImpl.classForName(ClassManagerImpl.java:203)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.NameSpace.classForName(NameSpace.java:1318)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.NameSpace.getClassImpl(NameSpace.java:1218)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.NameSpace.getClass(NameSpace.java:1159)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.Name.consumeNextObjectField(Name.java:298)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.Name.toObject(Name.java:199)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.BSHAmbiguousName.toObject(BSHAmbiguousName.java:59)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.BSHAllocationExpression.objectAllocation(BSHAllocationExpression.java:86)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.BSHAllocationExpression.eval(BSHAllocationExpression.java:62)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:102)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:47)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:644)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:738)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:727)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.BeanShellFacade._eval(BeanShellFacade.java:148)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.BeanShellFacade.eval(BeanShellFacade.java:113)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.BeanShell.eval(BeanShell.java:369)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.ServiceManager$Descriptor.getInstance(ServiceManager.java:328)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.ServiceManager.getService(ServiceManager.java:254)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sidekick.SideKickPlugin.getParser(SideKickPlugin.java:234)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sidekick.SideKickPlugin.getParserForBuffer(SideKickPlugin.java:290)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sidekick.SideKick.parse(SideKick.java:166)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sidekick.SideKickPlugin.initView(SideKickPlugin.java:378)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sidekick.SideKickPlugin.handleViewUpdate(SideKickPlugin.java:142)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.lang.reflect.Method.invoke(Method.java:597)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.EditBus.dispatch(EditBus.java:242)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.EditBus.sendImpl(EditBus.java:281)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.EditBus.access$200(EditBus.java:87)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.EditBus$SendMessage.run(EditBus.java:461)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.EditBus.send(EditBus.java:206)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.jEdit.newView(jEdit.java:2493)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PerspectiveManager$PerspectiveHandler.endElement(PerspectiveManager.java:362)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.impl.dtd.XMLNSDTDValidator.endNamespaceScope(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.impl.dtd.XMLDTDValidator.handleEndElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.impl.dtd.XMLDTDValidator.endElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.util.XMLUtilities.parseXML(XMLUtilities.java:139)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.SettingsXML.load(SettingsXML.java:155)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.PerspectiveManager.loadPerspective(PerspectiveManager.java:106)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at org.gjt.sp.jedit.jEdit$6.run(jEdit.java:4068)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:677)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.access$000(EventQueue.java:85)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$1.run(EventQueue.java:638)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue$1.run(EventQueue.java:636)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.security.AccessController.doPrivileged(Native Method)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventQueue.dispatchEvent(EventQueue.java:647)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
    19:21:18 [AWT-EventQueue-0] [error] PluginJAR: at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
    19:21:18 [AWT-EventQueue-0] [error] ErrorListDialog$ErrorEntry: /Users/shk/Library/jEdit/jars/XML.jar:
    19:21:18 [AWT-EventQueue-0] [error] ErrorListDialog$ErrorEntry: Fehler beim Starten: "java.lang.NoSuchMethodError: org.apache.xml.resolver.Catalog.getCatalogManager()Lorg/apache/xml/resolver/CatalogManager;".
    19:21:18 [AWT-EventQueue-0] [error] ErrorListDialog$ErrorEntry: Versuchen Sie ein Update auf eine neuere Version des Plugins.
    19:21:18 [AWT-EventQueue-0] [debug] PluginJAR: Opening /Users/shk/Library/jEdit/jars/XML.jar
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: java.lang.NoClassDefFoundError: xml/parser/XmlParser
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.defineClass1(Native Method)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.defineClass(ClassLoader.java:465)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.JARClassLoader._loadClass(JARClassLoader.java:439)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.JARClassLoader.loadClass(JARClassLoader.java:109)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.classpath.ClassManagerImpl.classForName(ClassManagerImpl.java:203)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.NameSpace.classForName(NameSpace.java:1318)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.NameSpace.getClassImpl(NameSpace.java:1218)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.NameSpace.getClass(NameSpace.java:1159)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.Name.consumeNextObjectField(Name.java:298)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.Name.toObject(Name.java:199)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.BSHAmbiguousName.toObject(BSHAmbiguousName.java:59)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.BSHAllocationExpression.objectAllocation(BSHAllocationExpression.java:86)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.BSHAllocationExpression.eval(BSHAllocationExpression.java:62)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:102)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.BSHPrimaryExpression.eval(BSHPrimaryExpression.java:47)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:644)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:738)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.bsh.Interpreter.eval(Interpreter.java:727)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.BeanShellFacade._eval(BeanShellFacade.java:148)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.BeanShellFacade.eval(BeanShellFacade.java:113)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.BeanShell.eval(BeanShell.java:369)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.ServiceManager$Descriptor.getInstance(ServiceManager.java:328)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.ServiceManager.getService(ServiceManager.java:254)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sidekick.SideKickPlugin.getParser(SideKickPlugin.java:234)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sidekick.SideKickPlugin.getParserForBuffer(SideKickPlugin.java:290)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sidekick.SideKick.parse(SideKick.java:166)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sidekick.SideKickPlugin.initView(SideKickPlugin.java:378)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sidekick.SideKickPlugin.handleViewUpdate(SideKickPlugin.java:142)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.reflect.Method.invoke(Method.java:597)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.EditBus.dispatch(EditBus.java:242)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.EditBus.sendImpl(EditBus.java:281)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.EditBus.access$200(EditBus.java:87)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.EditBus$SendMessage.run(EditBus.java:461)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.EditBus.send(EditBus.java:206)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.jEdit.newView(jEdit.java:2493)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.PerspectiveManager$PerspectiveHandler.endElement(PerspectiveManager.java:362)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.impl.dtd.XMLNSDTDValidator.endNamespaceScope(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.impl.dtd.XMLDTDValidator.handleEndElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.impl.dtd.XMLDTDValidator.endElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.util.XMLUtilities.parseXML(XMLUtilities.java:139)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.SettingsXML.load(SettingsXML.java:155)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.PerspectiveManager.loadPerspective(PerspectiveManager.java:106)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.jEdit$6.run(jEdit.java:4068)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:677)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventQueue.access$000(EventQueue.java:85)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventQueue$1.run(EventQueue.java:638)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventQueue$1.run(EventQueue.java:636)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.security.AccessController.doPrivileged(Native Method)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventQueue.dispatchEvent(EventQueue.java:647)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: Caused by: java.lang.ClassNotFoundException: xml.parser.XmlParser
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.security.AccessController.doPrivileged(Native Method)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.JARClassLoader.loadFromParent(JARClassLoader.java:522)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at org.gjt.sp.jedit.JARClassLoader.loadClass(JARClassLoader.java:87)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
    19:21:18 [AWT-EventQueue-0] [error] BeanShellFacade: ... 71 more
    19:21:18 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.7.5,source=/Users/shk/Library/jEdit/jars/SVNPlugin.jar,class=ise.plugin.svn.SVNPlugin]
    19:21:18 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:18 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.projectviewer.ProjectPlugin.menu,source=null]
    19:21:19 [AWT-EventQueue-0] [debug] EditBus: ViewerUpdate[source=org.gjt.sp.jedit.View[active]]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.projectviewer.ProjectPlugin.menu,source=null]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=2.8.5,source=/Users/shk/Library/jEdit/jars/XML.jar,class=xml.XmlPlugin]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.7.2,source=/Users/shk/Library/jEdit/jars/CommonControls.jar,class=CommonControlsPlugin]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=0.4,source=/Users/shk/Library/jEdit/jars/GitPlugin.jar,class=git.GitPlugin]
    19:21:20 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:32 [AWT-EventQueue-0] [debug] SideKick: No parser
    19:21:32 [AWT-EventQueue-0] [debug] SideKickParsedData: Setting parsed data of org.gjt.sp.jedit.View[active] to sidekick.SideKickParsedData@4ffe0816
    19:21:32 [AWT-EventQueue-0] [debug] EditBus: SideKickUpdate[source=null]
    19:21:32 [AWT-EventQueue-0] [debug] MacOSXPlugin: Dirty buffer found? false for 2 buffers
    19:21:32 [AWT-EventQueue-0] [debug] EditBus: EditorStarted[source=null]
    19:21:32 [jEdit I/O #2] [debug] WorkThread: Work request thread starting [jEdit I/O #2]
    19:21:32 [jEdit I/O #1] [debug] WorkThread: Work request thread starting [jEdit I/O #1]
    19:21:32 [jEdit I/O #3] [debug] WorkThread: Work request thread starting [jEdit I/O #3]
    19:21:32 [jEdit I/O #4] [debug] WorkThread: Work request thread starting [jEdit I/O #4]
    19:21:32 [AWT-EventQueue-0] [message] jEdit: Startup complete: 29429 ms
    19:21:33 [AWT-EventQueue-0] [debug] EditBus: ViewUpdate[what=VIEW_ACTIVATED,source=org.gjt.sp.jedit.View[active]]
    19:21:33 [AWT-EventQueue-0] [debug] MacOSXPlugin: Dirty buffer found? false for 2 buffers
    19:21:33 [AWT-EventQueue-0] [debug] EditBus: DockableWindowUpdate[what=ACTIVATED,dockable=hypersearch-results,source=org.gjt.sp.jedit.gui.DockableWindowManagerImpl[,0,68,1440x758,invalid,layout=org.gjt.sp.jedit.gui.DockableLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]]
    19:21:33 [AWT-EventQueue-0] [debug] JEditTextArea: InputMethodSupport is activated
    19:21:33 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=recent-files,source=null]
    19:21:33 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=recent-files,source=null]
    19:21:35 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=recent-files,source=null]
    19:21:35 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=recent-files,source=null]
    19:21:39 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=1.5,source=/Users/shk/Library/jEdit/jars/BufferList.jar,class=bufferlist.BufferListPlugin]
    19:21:39 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:39 [AWT-EventQueue-0] [debug] EditBus: PluginUpdate[what=ACTIVATED,exit=false,version=3.3.0,source=/Users/shk/Library/jEdit/jars/JDiffPlugin.jar,class=jdiff.JDiffPlugin]
    19:21:39 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=plugin.console.ConsolePlugin.menu,source=null]
    19:21:43 [AWT-EventQueue-0] [debug] MiscUtilities: Saving backup of file "/Users/shk/Library/jEdit/perspective.xml" to "/Users/shk/Library/jEdit/settings-backup/perspective.xml~1~"
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOAD_STARTED,view=org.gjt.sp.jedit.View[active],source=activity.log (~/Library/jEdit/)]
    19:22:00 [AWT-EventQueue-0] [debug] MacOSXPlugin: Dirty buffer found? false for 2 buffers
    19:22:00 [AWT-EventQueue-0] [debug] BufferSet: 424838461 addBufferAt(activity.log (~/Library/jEdit/),-1)
    19:22:00 [AWT-EventQueue-0] [debug] BufferSet: 424838461: Buffer added activity.log (~/Library/jEdit/) at 0
    19:22:00 [jEdit I/O #1] [debug] WorkThread: Running in work thread: [id=1,run=org.gjt.sp.jedit.bufferio.BufferLoadRequest[activity.log (~/Library/jEdit/)]]
    19:22:00 [AWT-EventQueue-0] [debug] BufferSet: 493730314 addBufferAt(activity.log (~/Library/jEdit/),-1)
    19:22:00 [AWT-EventQueue-0] [debug] BufferSet: 493730314: Buffer added activity.log (~/Library/jEdit/) at 0
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=CREATED,view=org.gjt.sp.jedit.View[active],source=activity.log (~/Library/jEdit/)]
    19:22:00 [AWT-EventQueue-0] [debug] MacOSXPlugin: Dirty buffer found? false for 2 buffers
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: BufferChanging[what=BUFFER_CHANGING,source=org.gjt.sp.jedit.EditPane[active]]
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: DynamicMenuChanged[menu=recent-files,source=null]
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: EditPaneUpdate[what=BUFFER_CHANGED,source=org.gjt.sp.jedit.EditPane[active]]
    19:22:00 [AWT-EventQueue-0] [notice] jEdit$3: Loading edit mode /Applications/jEdit.app/Contents/Resources/Java/modes/logs.xml
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=PROPERTIES_CHANGED,view=null,source=activity.log (~/Library/jEdit/)]
    19:22:00 [AWT-EventQueue-0] [debug] MacOSXPlugin: Dirty buffer found? false for 2 buffers
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: BufferUpdate[what=LOADED,view=org.gjt.sp.jedit.View[active],source=activity.log (~/Library/jEdit/)]
    19:22:00 [AWT-EventQueue-0] [debug] SideKick: No parser
    19:22:00 [AWT-EventQueue-0] [debug] SideKickParsedData: Setting parsed data of org.gjt.sp.jedit.View[active] to sidekick.SideKickParsedData@2f1261b1
    19:22:00 [AWT-EventQueue-0] [debug] EditBus: SideKickUpdate[source=null]
    19:22:00 [AWT-EventQueue-0] [debug] MacOSXPlugin: Dirty buffer found? false for 2 buffers
    19:22:13 [AWT-EventQueue-0] [debug] MiscUtilities: Saving backup of file "/Users/shk/Library/jEdit/perspective.xml" to "/Users/shk/Library/jEdit/settings-backup/perspective.xml~1~"

     
  • Skeeve
    Skeeve
    2013-12-09

    Anything I can add to help tracing down the bug?

     
  • Eric Le Lay
    Eric Le Lay
    2013-12-10

    Time for something more radical:
    - quit jEdit
    - move the Library/jEdit folder to let's say your desktop,
    - start jEdit
    - install the XML plugin
    - open your XML file and try to indent it
    - does it work now ?

    Afterwards, you can delete the new Library/jEdit folder and put back yours from the desktop

     
  • Skeeve
    Skeeve
    2013-12-11

    So that problem is gone after putting my jEdit Ueserdirectory aside. But now I need to reconfigure everything? Or do you have an idea how to get my old settings fixed?

     
  • Eric Le Lay
    Eric Le Lay
    2013-12-11

    If you put your directory back in place and uninstall the XML plugin from jEdit, restart jEdit and install the XML plugin again, does it fix your settings ?

     
  • Skeeve
    Skeeve
    2013-12-11

    I reinstalled it several times.

    But now I already reinstalled all my other plugins except for those which are no longer available.

    That seemed to have fixed it. Maybe one of the outdated plugins was the root cause.

    Thanks for all your support.

     
  • Eric Le Lay
    Eric Le Lay
    2013-12-11

    ok, good that it works for you.
    Do you remember which plugin was outdated ?

     
  • Skeeve
    Skeeve
    2013-12-11

    Okay…

    Here is what I did. I still had my previous directory in a zip.

    I compared it to the new directory and then I removed those jars which were there but missing in the new installation:

    These are the jars I removed:

    Library/jEdit/jars/.DS_Store
    Library/jEdit/jars/Clipper.jar
    Library/jEdit/jars/IRC.jar
    Library/jEdit/jars/Nested.jar
    Library/jEdit/jars/foxtrot.jar
    Library/jEdit/jars/htmlparser.jar
    Library/jEdit/jars/javasvn.jar
    Library/jEdit/jars/jdom-b9.jar
    Library/jEdit/jars/jupiter.jar
    Library/jEdit/jars/log4j-1.2.13.jar
    Library/jEdit/jars/log4j.jar
    Library/jEdit/jars/mysql-connector-java-3.0.14-production-bin.jar
    Library/jEdit/jars/ojdbc14.jar
    Library/jEdit/jars/packer.jar
    Library/jEdit/jars/servlet.jar
    Library/jEdit/jars/wbserverrelease.jar
    Library/jEdit/jars/wbxmltools.jar
    Library/jEdit/jars/wings.jar
    Library/jEdit/jars/wwbHelper.jar
    Library/jEdit/jars/wwbsplitter.jar
    Library/jEdit/jars/xml-commons-resolver.jar
    Library/jEdit/jars/xmlParserAPIs.jar

    Library/jEdit/jars-cache/Clipper.jar.summary
    Library/jEdit/jars-cache/IRC.jar.summary
    Library/jEdit/jars-cache/Nested.jar.summary
    Library/jEdit/jars-cache/QuickNotepad.jar.summary
    Library/jEdit/jars-cache/foxtrot.jar.summary
    Library/jEdit/jars-cache/htmlparser.jar.summary
    Library/jEdit/jars-cache/javasvn.jar.summary
    Library/jEdit/jars-cache/jdom-b9.jar.summary
    Library/jEdit/jars-cache/jupiter.jar.summary
    Library/jEdit/jars-cache/log4j-1.2.13.jar.summary
    Library/jEdit/jars-cache/log4j.jar.summary
    Library/jEdit/jars-cache/mysql-connector-java-3.0.14-production-bin.jar.summary
    Library/jEdit/jars-cache/ojdbc14.jar.summary
    Library/jEdit/jars-cache/packer.jar.summary
    Library/jEdit/jars-cache/servlet.jar.summary
    Library/jEdit/jars-cache/wbserverrelease.jar.summary
    Library/jEdit/jars-cache/wbxmltools.jar.summary
    Library/jEdit/jars-cache/wings.jar.summary
    Library/jEdit/jars-cache/wwbHelper.jar.summary
    Library/jEdit/jars-cache/wwbsplitter.jar.summary
    Library/jEdit/jars-cache/xml-commons-resolver.jar.summary
    Library/jEdit/jars-cache/xmlParserAPIs.jar.summary

    I doubt now that the outdated plugins were guilty. I can identify some old jars there which belong to a 6 year old project which had to do with XML and XSLT.

    The outdated plugins I don't have anymore now is "Internet Relay Chat". Also don't have anymore "Nested", but that's not outdated.

    I don't think it's important to trace exactly down which XML was "guilty", do you agree?

     
    • Eric Le Lay
      Eric Le Lay
      2013-12-12

      Yes I agree.
      Thanks for the extended info.
      Closing the bug...

       
  • Eric Le Lay
    Eric Le Lay
    2013-12-12

    • status: open --> closed
    • Group: -->